ResourceTypeCritterType.ResourceTypeCritter (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.grouping.critters.ResourceTypeCritterType.ResourceTypeCritter class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.grouping.critters
Class ResourceTypeCritterType.ResourceTypeCritter

    java.lang.Object
      org.hyperic.hq.grouping.critters.ResourceTypeCritterType.ResourceTypeCritter

All Implemented Interfaces:
  Critter

Enclosing class:
  ResourceTypeCritterType

    public class ResourceTypeCritterType.ResourceTypeCritter

extends java.lang.Object
implements Critter

Fetches all Resources which match the ResourceTypeName, joins the EAM_RESOURCE_TYPE table, doesn't use proto

Constructor Summary
`ResourceTypeCritterType.ResourceTypeCritter(java.lang.String resTypeName, ResourceTypeCritterType type, java.util.Collection excludes)`

Method Summary
`void` | `bindSqlParams(CritterTranslationContext ctx, org.hibernate.Query q)` Bind any SQL parameters which were previously returned as part of getSql().
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getConfig()` Returns a localized description of how the Critter is configured.
`CritterType` | `getCritterType()` Returns the `CritterType` associated with this Critter
`java.util.List` | `getProps()` Get a list of `CritterProps`s which are the current values set for this critter.
`java.lang.String` | `getResourceTypeName()`
`java.lang.String` | `getSql(CritterTranslationContext ctx, java.lang.String resourceAlias)` Get a SQL segment, suitable for placement within a where clause.
`java.lang.String` | `getSqlJoins(CritterTranslationContext ctx, java.lang.String resourceAlias)` Get additional SQL specifying joins requierd by the critter The result of this method is run through `CritterTranslationContext.escapeSql(String)` which will turn all references delimited by '@' into unique identifiers.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceTypeCritterType.ResourceTypeCritter

    public ResourceTypeCritterType.ResourceTypeCritter(java.lang.String resTypeName,
                                                       ResourceTypeCritterType type,
                                                       java.util.Collection excludes)

Method Detail

### bindSqlParams

    public void bindSqlParams(CritterTranslationContext ctx,
                              org.hibernate.Query q)

  Description copied from interface: `Critter`
  Bind any SQL parameters which were previously returned as part of getSql(). The implementor of this method will likely need to use `CritterTranslationContext.escape(String)` to bind to variables which match the references returned from getSql, etc.

  Specified by:
    `bindSqlParams` in interface `Critter`

### getResourceTypeName

    public java.lang.String getResourceTypeName()

### getConfig

    public java.lang.String getConfig()

  Description copied from interface: `Critter`
  Returns a localized description of how the Critter is configured. Should work in the following layout: If all of the following criteria are met: - Resource name matches 'web.*' - Resource type is Apache 2.0 (or...) If any of the following criteria are met: - Resource is a child of 'my.platform' and of type 'Fileserver File' - Resource has been modified in the last 2 days

  Specified by:
    `getConfig` in interface `Critter`

### getCritterType

    public CritterType getCritterType()

  Description copied from interface: `Critter`
  Returns the `CritterType` associated with this Critter

  Specified by:
    `getCritterType` in interface `Critter`

### getProps

    public java.util.List getProps()

  Description copied from interface: `Critter`
  Get a list of `CritterProps`s which are the current values set for this critter.

  Specified by:
    `getProps` in interface `Critter`

### getSql

    public java.lang.String getSql(CritterTranslationContext ctx,
                                   java.lang.String resourceAlias)

  Description copied from interface: `Critter`
  Get a SQL segment, suitable for placement within a where clause. The result of this method is run through `CritterTranslationContext.escapeSql(String)`, which will turn all references delimited '@' into unique identifiers.

  Specified by:
    `getSql` in interface `Critter`
    `resourceAlias` - The SQL alias for the `Resource`

### getSqlJoins

    public java.lang.String getSqlJoins(CritterTranslationContext ctx,
                                        java.lang.String resourceAlias)

  Description copied from interface: `Critter`
  Get additional SQL specifying joins requierd by the critter The result of this method is run through `CritterTranslationContext.escapeSql(String)` which will turn all references delimited by '@' into unique identifiers.

  Specified by:
    `getSqlJoins` in interface `Critter`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.